Skip to main content
POST
/
editorder
Edit order
curl --request POST \
  --url https://futures.kraken.com/derivatives/api/v3/editorder \
  --header 'APIKey: <api-key>' \
  --header 'Authent: <api-key>'
{
  "result": "success",
  "editStatus": {
    "status": "edited",
    "orderId": "022774bc-2c4a-4f26-9317-436c8d85746d",
    "receivedTime": "2019-09-05T16:47:47.521Z",
    "orderEvents": [
      {
        "type": "EDIT",
        "old": {
          "orderId": "022774bc-2c4a-4f26-9317-436c8d85746d",
          "type": "lmt",
          "symbol": "PF_XBTUSD",
          "side": "buy",
          "quantity": 1000,
          "filled": 0,
          "limitPrice": 9400,
          "reduceOnly": false,
          "timestamp": "2019-09-05T16:41:35.173Z",
          "lastUpdateTimestamp": "2019-09-05T16:41:35.173Z"
        },
        "new": {
          "orderId": "022774bc-2c4a-4f26-9317-436c8d85746d",
          "type": "lmt",
          "symbol": "PF_XBTUSD",
          "side": "buy",
          "quantity": 1501,
          "filled": 0,
          "limitPrice": 7200,
          "reduceOnly": false,
          "timestamp": "2019-09-05T16:41:35.173Z",
          "lastUpdateTimestamp": "2019-09-05T16:47:47.519Z"
        }
      }
    ]
  },
  "serverTime": "2019-09-05T16:47:47.521Z"
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

APIKey
string
header
required

General API key with full access

Authent
string
header
required

Authentication string

Query Parameters

processBefore
string<date-time>

The time before which the request should be processed, otherwise it is rejected.

orderId
string

ID of the order you wish to edit. (Required if CliOrdId is not included)

cliOrdId
string

The order identity that is specified from the user. It must be globally unique (Required if orderId is not included)

size
number

The size associated with the order

limitPrice
number

The limit price associated with the order. Must not exceed the tick size of the contract.

stopPrice
number

The stop price associated with a stop order. Required if old orderType is stp. Must not exceed tick size of the contract. Note that for stp orders, limitPrice is also required and denotes the worst price at which the stp order can get filled.

trailingStopMaxDeviation
number

Only relevant for trailing stop orders. Maximum value of 50%, minimum value of 0.1% for 'PERCENT' 'maxDeviationUnit'.

Is the maximum distance the trailing stop's trigger price may trail behind the requested trigger signal. It defines the threshold at which the trigger price updates.

Required range: 0.1 <= x <= 50
trailingStopDeviationUnit
enum<string>

Only relevant for trailing stop orders.

This defines how the trailing trigger price is calculated from the requested trigger signal. For example, if the max deviation is set to 10, the unit is 'PERCENT', and the underlying order is a sell, then the trigger price will never be more then 10% below the trigger signal. Similarly, if the deviation is 100, the unit is 'QUOTE_CURRENCY', the underlying order is a sell, and the contract is quoted in USD, then the trigger price will never be more than $100 below the trigger signal.

Available options:
PERCENT,
QUOTE_CURRENCY
qtyMode
enum<string>

Determines how the updated size is interpreted, defaulting to 'RELATIVE'.

'ABSOLUTE' means that the total order size, including past fills, is set to size. 'RELATIVE' means that the current open order size is set to size.

Available options:
ABSOLUTE,
RELATIVE

Response

200 - application/json
editStatus
object
required

A structure containing information on the send order request

result
enum<string>
required
Available options:
success
Example:

"success"

serverTime
string<date-time>
required

Server time in Coordinated Universal Time (UTC)

Example:

"2020-08-27T17:03:33.196Z"